DPDK patches and discussions
 help / color / mirror / Atom feed
* [dpdk-dev] [PATCH] scripts: fix checkpatch help
@ 2016-02-16 14:36 Olivier Matz
  2016-03-24 21:19 ` Thomas Monjalon
  0 siblings, 1 reply; 2+ messages in thread
From: Olivier Matz @ 2016-02-16 14:36 UTC (permalink / raw)
  To: dev

When started without defining DPDK_CHECKPATCH_PATH, the usage was not
displayed.

Signed-off-by: Olivier Matz <olivier.matz@6wind.com>
---
 scripts/checkpatches.sh | 18 +++++++++++++-----
 1 file changed, 13 insertions(+), 5 deletions(-)

diff --git a/scripts/checkpatches.sh b/scripts/checkpatches.sh
index afc611b..1e765e3 100755
--- a/scripts/checkpatches.sh
+++ b/scripts/checkpatches.sh
@@ -34,10 +34,6 @@
 # - DPDK_CHECKPATCH_PATH
 # - DPDK_CHECKPATCH_LINE_LENGTH
 . scripts/load-devel-config.sh
-if [ ! -x "$DPDK_CHECKPATCH_PATH" ] ; then
-	echo 'Cannot execute DPDK_CHECKPATCH_PATH' >&2
-	exit 1
-fi
 
 length=${DPDK_CHECKPATCH_LINE_LENGTH:-80}
 
@@ -51,7 +47,12 @@ SPLIT_STRING,LINE_SPACING,PARENTHESIS_ALIGNMENT,NETWORKING_BLOCK_COMMENT_STYLE,\
 NEW_TYPEDEFS,COMPARISON_TO_NULL"
 
 print_usage () {
-	echo "usage: $(basename $0) [-q] [-v] [patch1 [patch2] ...]]"
+	cat <<- END_OF_HELP
+	usage: $(basename $0) [-q] [-v] [patch1 [patch2] ...]]
+
+	Run Linux kernel checkpatch.pl with DPDK options.
+	The environment variable DPDK_CHECKPATCH_PATH must be set.
+	END_OF_HELP
 }
 
 quiet=false
@@ -66,6 +67,13 @@ while getopts hqv ARG ; do
 done
 shift $(($OPTIND - 1))
 
+if [ ! -x "$DPDK_CHECKPATCH_PATH" ] ; then
+	print_usage
+	echo
+	echo 'Cannot execute DPDK_CHECKPATCH_PATH' >&2
+	exit 1
+fi
+
 status=0
 for p in "$@" ; do
 	! $verbose || printf '\n### %s\n\n' "$p"
-- 
2.1.4

^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [dpdk-dev] [PATCH] scripts: fix checkpatch help
  2016-02-16 14:36 [dpdk-dev] [PATCH] scripts: fix checkpatch help Olivier Matz
@ 2016-03-24 21:19 ` Thomas Monjalon
  0 siblings, 0 replies; 2+ messages in thread
From: Thomas Monjalon @ 2016-03-24 21:19 UTC (permalink / raw)
  To: Olivier Matz; +Cc: dev

2016-02-16 15:36, Olivier Matz:
> When started without defining DPDK_CHECKPATCH_PATH, the usage was not
> displayed.
> 
> Signed-off-by: Olivier Matz <olivier.matz@6wind.com>

Applied, thanks

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2016-03-24 21:21 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2016-02-16 14:36 [dpdk-dev] [PATCH] scripts: fix checkpatch help Olivier Matz
2016-03-24 21:19 ` Thomas Monjalon

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).